%define _disable_ld_no_undefined 1
%if 0%{?!apply_patches:1}
%define apply_patches for patch in $(awk '/^Patch.*:/ { print "%{_sourcedir}/"$2 }' %{_specdir}/pclos-%{name}.spec); do patch -s -p1 -i $patch; done
%endif

Name:       x11-driver-input-evtouch
Version:    0.8.8
Release:    %mkrel 10.1
Summary:    Linux-Touchscreen Driver for X
Group:      System/X11
License:    MIT
URL:        http://www.conan.de/touchscreen/evtouch.html
Source:     http://www.conan.de/touchscreen/xf86-input-evtouch-%{version}.tar.xz
Patch0:     01_fix_warnings.patch
Patch1:     02_calibration_1.6.patch
Patch2:     03_server-1.6-ftbfs.diff
Patch3:     04_server-1.7-ftbfs.diff
Patch4:     evtouch-replace-LocalDevicePtr-with-InputInfoPtr.patch
Patch5:     evtouch-remove-libc-wrapper-usage-for-xcalloc-xalloc-xfree.patch
Patch6:     evtouch-use-a-local-variable-for-history_size.patch
Patch7:     evtouch-purge-unused-close_proc.patch
Patch8:     evtouch-add-mode-field-to-InitValuatorAxisStruct.patch
Patch9:     evtouch-adjust-to-new-PreInit.patch
BuildRequires:  x11-proto-devel
BuildRequires:  x11-server-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

%description
Evtouch is a Touchscreen-Driver for X. 

%prep
%setup -q -n xf86-input-evtouch-%{version}
%apply_patches

%build
export CURSORDIR=%{_datadir}/xf86-input-evtouch
%configure2_5x --enable-evcalibrate
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README README.calibration
%{_libdir}/xorg/modules/input/evtouch_drv.la
%{_libdir}/xorg/modules/input/evtouch_drv.so
%{_libdir}/xf86-input-evtouch
%{_datadir}/xf86-input-evtouch


%changelog
* Sun Mar 26 2017 bb2 <bb2> - 0.8.8-10.1pclos2017
- rebuilt

* Wed Jul 20 2016 bb <bb> 0.8.8-10pclos2016
- rebuild new xorg

